io.vertx.kafka.client.serialization

## Class BufferSerializer

- java.lang.Object
- - io.vertx.kafka.client.serialization.BufferSerializer

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.kafka.common.serialization.Serializer<Buffer>

      public class BufferSerializer
      extends Object
      implements org.apache.kafka.common.serialization.Serializer<Buffer>

  Kafka serializer for raw bytes in a buffer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `configure(Map<String,?> configs, boolean isKey)`
    `byte[]` | `serialize(String topic, Buffer data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.kafka.common.serialization.Serializer

      `serialize`

- - ### Constructor Detail

    - #### BufferSerializer

          public BufferSerializer()

  - ### Method Detail

    - #### configure

          public void configure(Map<String,?> configs,
                                boolean isKey)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Serializer<Buffer>`

    - #### serialize

          public byte[] serialize(String topic,
                                  Buffer data)

      Specified by:
        `serialize` in interface `org.apache.kafka.common.serialization.Serializer<Buffer>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Serializer<Buffer>`

Copyright © 2020 Eclipse. All rights reserved.